package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 质控评分主表信息
每次评分增加一条信息，前面所有评分is_deleted全部设置为Y
 * </p>
 *
 * @author zhanghang
 * @time: 2024-03-26
 */
public class MedQcresultInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 等级
     */
    private String level;

    /**
     * 页面数据
     */
    private String pageData;

    /**
     * 菜单数据
     */
    private String menuData;

    /**
     * 评分类型(1：机器，2：人工)
     */
    private Integer gradeType;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

    /**
     * 是否有病案首页(0：无，1：有)
     */
    private Integer haveHomePage;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
    public String getPageData() {
        return pageData;
    }

    public void setPageData(String pageData) {
        this.pageData = pageData;
    }
    public String getMenuData() {
        return menuData;
    }

    public void setMenuData(String menuData) {
        this.menuData = menuData;
    }
    public Integer getGradeType() {
        return gradeType;
    }

    public void setGradeType(Integer gradeType) {
        this.gradeType = gradeType;
    }
    public BigDecimal getScoreRes() {
        return scoreRes;
    }

    public void setScoreRes(BigDecimal scoreRes) {
        this.scoreRes = scoreRes;
    }
    public Integer getHaveHomePage() {
        return haveHomePage;
    }

    public void setHaveHomePage(Integer haveHomePage) {
        this.haveHomePage = haveHomePage;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MedQcresultInfo{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", level=" + level +
            ", pageData=" + pageData +
            ", menuData=" + menuData +
            ", gradeType=" + gradeType +
            ", scoreRes=" + scoreRes +
            ", haveHomePage=" + haveHomePage +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", remark=" + remark +
        "}";
    }
}
